> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /samgov/opportunities

> Get federal contract opportunity details by notice id

**Price:** 1 credit

**⚠️ Common errors:** 412: Opportunity not found



## OpenAPI

````yaml /openapi/gov-public-sector.json post /api/samgov/opportunities
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/samgov/opportunities:
    post:
      tags:
        - /samgov
      summary: /samgov/opportunities
      description: |-
        Get federal contract opportunity details by notice id

        **Price:** 1 credit

        **⚠️ Common errors:** 412: Opportunity not found
      operationId: __api_samgov_opportunities_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SamgovOpportunityPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/SamgovOpportunity'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    SamgovOpportunityPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        opportunity:
          type: string
          minLength: 1
      type: object
      required:
        - opportunity
    SamgovOpportunity:
      properties:
        '@type':
          type: string
          default: SamgovOpportunity
        notice_id:
          type: string
        type:
          anyOf:
            - $ref: '#/components/schemas/SamgovOpportunityType'
            - type: 'null'
        status_code:
          anyOf:
            - type: string
            - type: 'null'
        status_value:
          anyOf:
            - type: string
            - type: 'null'
        solicitation_number:
          anyOf:
            - type: string
            - type: 'null'
        classification_code:
          anyOf:
            - type: string
            - type: 'null'
        naics:
          items:
            type: string
          type: array
          default: []
        set_aside:
          anyOf:
            - type: string
            - type: 'null'
        organization_id:
          anyOf:
            - type: string
            - type: 'null'
        parent_notice_id:
          anyOf:
            - type: string
            - type: 'null'
        is_active:
          anyOf:
            - type: boolean
            - type: 'null'
        is_canceled:
          anyOf:
            - type: boolean
            - type: 'null'
        is_archived:
          anyOf:
            - type: boolean
            - type: 'null'
        published_at:
          anyOf:
            - type: string
            - type: 'null'
        modified_at:
          anyOf:
            - type: string
            - type: 'null'
        created_at:
          anyOf:
            - type: string
            - type: 'null'
        response_at:
          anyOf:
            - type: string
            - type: 'null'
        archive_at:
          anyOf:
            - type: string
            - type: 'null'
        descriptions:
          items:
            type: string
          type: array
          default: []
        place_of_performance:
          anyOf:
            - $ref: '#/components/schemas/SamgovLocation'
            - type: 'null'
        point_of_contact:
          items:
            $ref: '#/components/schemas/SamgovPointOfContact'
          type: array
          default: []
        award:
          anyOf:
            - $ref: '#/components/schemas/SamgovAward'
            - type: 'null'
        attachments:
          items:
            $ref: '#/components/schemas/SamgovAttachment'
          type: array
          default: []
      type: object
      required:
        - notice_id
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    SamgovOpportunityType:
      properties:
        '@type':
          type: string
          default: SamgovOpportunityType
        code:
          anyOf:
            - type: string
            - type: 'null'
        value:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    SamgovLocation:
      properties:
        '@type':
          type: string
          default: SamgovLocation
        street_address:
          anyOf:
            - type: string
            - type: 'null'
        street_address2:
          anyOf:
            - type: string
            - type: 'null'
        city:
          anyOf:
            - type: string
            - type: 'null'
        state:
          anyOf:
            - type: string
            - type: 'null'
        zip:
          anyOf:
            - type: string
            - type: 'null'
        country:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    SamgovPointOfContact:
      properties:
        '@type':
          type: string
          default: SamgovPointOfContact
        type:
          anyOf:
            - type: string
            - type: 'null'
        full_name:
          anyOf:
            - type: string
            - type: 'null'
        email:
          anyOf:
            - type: string
            - type: 'null'
        phone:
          anyOf:
            - type: string
            - type: 'null'
        fax:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    SamgovAward:
      properties:
        '@type':
          type: string
          default: SamgovAward
        number:
          anyOf:
            - type: string
            - type: 'null'
        amount:
          anyOf:
            - type: string
            - type: 'null'
        date:
          anyOf:
            - type: string
            - type: 'null'
        delivery_order_number:
          anyOf:
            - type: string
            - type: 'null'
        line_item_number:
          anyOf:
            - type: string
            - type: 'null'
        awardee:
          anyOf:
            - $ref: '#/components/schemas/SamgovAwardee'
            - type: 'null'
      type: object
    SamgovAttachment:
      properties:
        '@type':
          type: string
          default: SamgovAttachment
        attachment_id:
          anyOf:
            - type: string
            - type: 'null'
        resource_id:
          anyOf:
            - type: string
            - type: 'null'
        name:
          anyOf:
            - type: string
            - type: 'null'
        type:
          anyOf:
            - type: string
            - type: 'null'
        mime_type:
          anyOf:
            - type: string
            - type: 'null'
        size:
          anyOf:
            - type: integer
            - type: 'null'
        access_level:
          anyOf:
            - type: string
            - type: 'null'
        posted_at:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
    SamgovAwardee:
      properties:
        '@type':
          type: string
          default: SamgovAwardee
        name:
          anyOf:
            - type: string
            - type: 'null'
        uei_sam:
          anyOf:
            - type: string
            - type: 'null'
        cage_code:
          anyOf:
            - type: string
            - type: 'null'
        location:
          anyOf:
            - $ref: '#/components/schemas/SamgovLocation'
            - type: 'null'
      type: object
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````